%bcond_without dom4j

Name:           jaxen
Summary:        An XPath engine written in Java
Epoch:          0
Version:        1.2.0
Release:        %mkrel 3
Group:          Development/Java
License:        BSD

URL:            https://github.com/jaxen-xpath/jaxen
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jdom:jdom)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)
%if %{with dom4j}
BuildRequires:  mvn(dom4j:dom4j)
%endif

%description
Jaxen is an open source XPath library written in Java. It is adaptable
to many different object models, including DOM, XOM, dom4j, and JDOM.
Is it also possible to write adapters that treat non-XML trees such as compiled
Java byte code or Java beans as XML, thus enabling you to query these trees
with XPath too.


%package        demo
Summary:        Samples for %{name}
Requires:       %{name} = 0:%{version}-%{release}

%description    demo
%{summary}.


%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.


%prep
%setup -q

# remove unnecessary maven plugins
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%if %{without dom4j}
rm -rf src/java/main/org/jaxen/dom4j
%pom_remove_dep dom4j:dom4j
%endif

rm -rf src/java/main/org/jaxen/xom
%pom_remove_dep xom:xom

%mvn_file : %{name}


%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8


%install
%mvn_install

# demo
install -d -m 755 %{buildroot}%{_datadir}/%{name}/samples
cp -pr src/java/samples/* %{buildroot}%{_datadir}/%{name}/samples


%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%files demo
%{_datadir}/%{name}




%changelog
* Tue Oct 27 2020 tv <tv> 0:1.2.0-3.mga8
+ Revision: 1639821
- Fix javac source / target versions for Java 11

* Sat Feb 15 2020 umeabot <umeabot> 0:1.2.0-2.mga8
+ Revision: 1528626
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 0:1.2.0-1.mga8
+ Revision: 1431607
- Update to version 1.2.0

* Tue Sep 18 2018 umeabot <umeabot> 0:1.1.6-12.mga7
+ Revision: 1263882
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 0:1.1.6-11.mga6
+ Revision: 1103232
- Rebuild against fixed java stack
- Add missing build-requires

* Wed Mar 02 2016 neoclust <neoclust> 0:1.1.6-9.mga6
+ Revision: 982339
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:1.1.6-8.mga6
+ Revision: 976540
- First rebuild of the java stack
- sync package jaxen with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0:1.1.6-6.mga5
+ Revision: 807160
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.6-5.mga5
+ Revision: 749293
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Oct 22 2013 umeabot <umeabot> 0:1.1.6-2.mga4
+ Revision: 541758
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0:1.1.6-1.mga4
+ Revision: 496438
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:1.1.2-3.mga3
+ Revision: 354873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 gil <gil> 0:1.1.2-2.mga2
+ Revision: 165192
- added m2 pom, cleaned spec file

* Sun Jan 16 2011 dmorgan <dmorgan> 0:1.1.2-1.2.mga1
+ Revision: 20238
- imported package jaxen

